<div class="integration-config-intro">
    <div class="integration-config-intro__content">
        <div class="integration-config-intro__description">
            <div class="integration-config-intro__description-header">
                <md-icon class="integration-config-intro__provider-logo"
                    md-svg-icon="{{$ctrl.infoData.logo}}"
                    ng-if="$ctrl.infoData.logo"></md-icon>
                <div class="integration-config-intro__provider-name">{{ $ctrl.infoData.title }}</div>
            </div>
            <div class="integration-config-intro__description-text">
                <p class="integration-config-intro__description-paragraph"
                    ng-repeat="paragraph in $ctrl.infoData.formattedDescription">
                    {{ paragraph }}
                </p>
            </div>
            <div class="integration-config-intro__description-text"
                ng-repeat="(key, value) in $ctrl.infoData.formattedAdditionalText"
                ng-class="'_{{key}}'">
                <p class="integration-config-intro__description-paragraph"
                    ng-repeat="text in value">
                    {{ text }}
                </p>
            </div>
            <div class="integration-config-intro__documentation-link-wrapper"
                ng-if="$ctrl.infoData.documentation">
                <a class="integration-config-intro__documentation-link"
                    target="_blank"
                    ng-href="{{$ctrl.createDocPath($ctrl.infoData.documentation)}}">
                    <span class="integration-config-intro__documentation-link-text">Go to the documentation</span>
                    <md-icon class="integration-config-intro__documentation-link-icon">open_in_new</md-icon>
                </a>
            </div>
            <div class="integration-config-intro__create-account" ng-if="$ctrl.infoData.referral">
                <span class="integration-config-intro__create-account-text">Don't have an account?</span>
                <a class="integration-config-intro__create-account-link"
                    target="_blank"
                    ng-href="{{$ctrl.infoData.referral}}">Create</a>
            </div>
        </div>
        <div class="integration-config-intro__slider">
            <zeb-simple-slider ng-if="$ctrl.infoData.slides.length">
                <div class="swiper-slide" ng-repeat="imagePath in $ctrl.infoData.slides">
                    <img ng-src="{{ imagePath }}">
                </div>
            </zeb-simple-slider>
        </div>
    </div>
</div>
